org.apache.tinkerpop.gremlin.util.function

## Class ChainedComparator<S,C extends Comparable>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.ChainedComparator<S,C>

- All Implemented Interfaces:
    Serializable, Cloneable, Comparator<S>

      public final class ChainedComparator<S,C extends Comparable>
      extends Object
      implements Comparator<S>, Serializable, Cloneable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainedComparator(boolean traversers, List<org.javatuples.Pair<Traversal.Admin<S,C>,Comparator<C>>> comparators)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChainedComparator<S,C>` | `clone()`
    `int` | `compare(S objectA, S objectB)`
    `boolean` | `isShuffle()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ChainedComparator

          public ChainedComparator(boolean traversers,
                                   List<org.javatuples.Pair<Traversal.Admin<S,C>,Comparator<C>>> comparators)

  - ### Method Detail

    - #### isShuffle

          public boolean isShuffle()

    - #### compare

          public int compare(S objectA,
                             S objectB)

      Specified by:
        `compare` in interface `Comparator<S>`

    - #### clone

          public ChainedComparator<S,C> clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.